package test;


import com.toshiba.dynagent.*;
import com.toshiba.dynagent.simulator.ActionSimulatorGUI;
import com.toshiba.dynagent.simulator.EventProviderSimulatorGUI;

public class TestDynagent {

	public static void main(String[] args){
		
		DefaultAgent dynagent = new DefaultAgent();
		EventProviderSimulatorGUI eventProvider = new EventProviderSimulatorGUI();

		EventHandlerAgent eventHandler = dynagent.eventHandlerAgent;
		eventHandler.setEventProvider(eventProvider);
		eventProvider.setEventSubscriber(eventHandler);
		
		ActionSimulatorGUI actionExecutor = new ActionSimulatorGUI();
		PlanningAgent planningAgent = dynagent.planningAgent;
		planningAgent.setComponent(actionExecutor);
		
	}
	
}